rw2 {pomp} | R Documentation

## Two-dimensional random-walk process

### Description

`rw2` constructs a ‘pomp’ object encoding a 2-D Gaussian random walk.

### Usage

    rw2(x1_0 = 0, x2_0 = 0, s1 = 1, s2 = 3, tau = 1, times = 1:100,
      t0 = 0)

### Arguments

`x1_0, x2_0` | initial conditions (i.e., latent state variable values at the zero time `t0`)
`s1, s2` | random walk intensities
`tau` | observation error s.d.
`times` | observation times
`t0` | zero time

### Details

The random-walk process is fully but noisily observed.

### Value

A ‘pomp’ object containing simulated data.

### See Also

Other pomp examples: `blowflies`, `dacca`, `ebola`, `gompertz`, `measles`, `ou2`, `ricker`, `sir_models`, `verhulst`

### Examples

    library(magrittr)
    library(dplyr)
    library(tidyr)
    library(ggplot2)

    rw2() %>% plot()

    rw2(s1=1,s2=1,tau=0.1) %>%
      simulate(nsim=10,format="d") %>%
      ggplot(aes(x=y1,y=y2,group=.id,color=.id))+
      geom_path()+
      guides(color=FALSE)+
      theme_bw()

[Package pomp version 2.3 Index]